## python-oslo.concurrency 1.8.0

=== requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.

pbr>=0.6,!=0.7,<1.0
Babel>=1.3
iso8601>=0.1.9
fixtures>=0.3.14
oslo.config>=1.9.0  # Apache-2.0
oslo.i18n>=1.3.0  # Apache-2.0
oslo.utils>=1.2.0                       # Apache-2.0
posix_ipc
six>=1.9.0
retrying>=1.2.3,!=1.3.0 # Apache-2.0

=== debian/changelog ===
python-oslo.concurrency (1.8.0-0ubuntu1) vivid; urgency=medium

  * New uptream release.  (LP: #1444600)

 -- Chuck Short <zulcss@ubuntu.com>  Tue, 07 Apr 2015 13:11:31 -0400

python-oslo.concurrency (1.7.0-0ubuntu1) vivid; urgency=medium

  * New upstream release.
  * debian/control: Update dependencies.

 -- Chuck Short <zulcss@ubuntu.com>  Tue, 10 Mar 2015 09:34:15 -0400

python-oslo.concurrency (1.6.0-0ubuntu1) vivid; urgency=medium

  * New upstream release. 

 -- Chuck Short <zulcss@ubuntu.com>  Tue, 03 Mar 2015 11:51:10 -0500

python-oslo.concurrency (1.5.0-0ubuntu1) vivid; urgency=medium

  * New upstream release.
  * d/watch: Switch to tarballs.openstack.org for release archives.

 -- James Page <james.page@ubuntu.com>  Thu, 19 Feb 2015 10:16:21 +0000

python-oslo.concurrency (1.4.1-0ubuntu3) vivid; urgency=medium

  * d/control: Switch to non-namespaced oslo packages.
  * d/control: Drop Pre-Depends, no longer required.
  * d/rules: Correct install path for python3 module.
  * d/python-oslo-concurrency-doc.doc-base: Update for new package
    naming.

 -- James Page <james.page@ubuntu.com>  Mon, 16 Feb 2015 09:55:14 +0000

python-oslo.concurrency (1.4.1-0ubuntu2) vivid; urgency=medium

  * debian/control: Fix broken Breaks/Replaces.

 -- Chuck Short <zulcss@ubuntu.com>  Tue, 10 Feb 2015 08:32:07 -0500

python-oslo.concurrency (1.4.1-0ubuntu1) vivid; urgency=medium

  * New upstream release.
  * Transition to new namespace.
  * debian/control: Add python-concurreent.futures as a build 
    dependency.

 -- Chuck Short <zulcss@ubuntu.com>  Fri, 06 Feb 2015 11:58:16 -0500

python-oslo.concurrency (0.3.0-0ubuntu1) vivid; urgency=medium

  * New upstream release.
  * debian/control: Add python-retrying
  * debian/pydist3-overrides: Add retrying.

 -- Chuck Short <zulcss@ubuntu.com>  Fri, 05 Dec 2014 11:13:18 -0500

python-oslo.concurrency (0.2.0-1) experimental; urgency=medium

  * Initial release. (Closes: #769287)

 -- Thomas Goirand <zigo@debian.org>  Wed, 12 Nov 2014 20:49:34 +0800

=== debian/rules ===
#!/usr/bin/make -f

PYTHONS:=$(shell pyversions -vr)
PYTHON3S:=$(shell py3versions -vr)

UPSTREAM_GIT = git://github.com/openstack/oslo.concurrency.git
include /usr/share/openstack-pkg-tools/pkgos.make

export OSLO_PACKAGE_VERSION=$(VERSION)

%:
	dh $@ --buildsystem=python_distutils --with python2,python3,sphinxdoc

override_dh_install:
	set -e ; for pyvers in $(PYTHONS); do \
		python$$pyvers setup.py install --install-layout=deb \
			--root $(CURDIR)/debian/python-oslo-concurrency; \
	done
	mv $(CURDIR)/debian/python-oslo-concurrency/usr/bin/lockutils-wrapper $(CURDIR)/debian/python-oslo-concurrency/usr/bin/python2-lockutils-wrapper
	set -e ; for pyvers in $(PYTHON3S); do \
		python$$pyvers setup.py install --install-layout=deb \
			--root $(CURDIR)/debian/python3-oslo-concurrency; \
	done
	mv $(CURDIR)/debian/python3-oslo-concurrency/usr/bin/lockutils-wrapper $(CURDIR)/debian/python3-oslo-concurrency/usr/bin/python3-lockutils-wrapper
	rm -rf $(CURDIR)/debian/python*-oslo-concurrency/usr/lib/python*/dist-packages/*.pth

override_dh_auto_test:
ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
	echo "===> Running tests: WARNING: Not running Python3 tests because of namespaces!"
	set -e && for i in $(PYTHONS) ; do \
		PYMAJOR=`echo $$i | cut -d'.' -f1` ; \
		echo "===> Testing with python$$i (python$$PYMAJOR)" ; \
		rm -rf .testrepository ; \
		testr-python$$PYMAJOR init ; \
		TEMP_REZ=`mktemp -t` ; \
		PYTHONPATH=$(CURDIR) PYTHON=python$$i testr-python$$PYMAJOR run --subunit | tee $$TEMP_REZ | subunit2pyunit ; \
		cat $$TEMP_REZ | subunit-filter -s --no-passthrough | subunit-stats ; \
		rm -f $$TEMP_REZ ; \
		testr-python$$PYMAJOR slowest ; \
	done
endif

override_dh_clean:
	dh_clean -O--buildsystem=python_distutils
	rm -rf build doc/build

override_dh_sphinxdoc:
	python setup.py build_sphinx
	mkdir -p $(CURDIR)/debian/python-oslo-concurrency-doc/usr/share/doc/python-oslo-concurrency-doc/html
	cp -rfv doc/build/html/* $(CURDIR)/debian/python-oslo-concurrency-doc/usr/share/doc/python-oslo-concurrency-doc/html
	dh_sphinxdoc -O--buildsystem=python_distutils

# Commands not to run
override_dh_installcatalogs:
override_dh_installemacsen override_dh_installifupdown:
override_dh_installinfo override_dh_installmenu override_dh_installmime:
override_dh_installmodules override_dh_installlogcheck:
override_dh_installpam override_dh_installppp override_dh_installudev override_dh_installwm:
override_dh_installxfonts override_dh_gconf override_dh_icons override_dh_perl override_dh_usrlocal:
override_dh_installcron override_dh_installdebconf:
override_dh_installlogrotate override_dh_installgsettings:

## python-oslo.concurrency 1.8.2

=== requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.

pbr!=0.7,<1.0,>=0.6
Babel>=1.3
iso8601>=0.1.9
fixtures<1.3.0,>=0.3.14
oslo.config<1.10.0,>=1.9.3 # Apache-2.0
oslo.i18n<1.6.0,>=1.5.0 # Apache-2.0
oslo.utils<1.5.0,>=1.4.0 # Apache-2.0
posix-ipc
six>=1.9.0
retrying!=1.3.0,>=1.2.3 # Apache-2.0

=== debian/changelog ===
python-oslo.concurrency (1.8.2-0ubuntu0.15.04.1~cloud2) trusty-kilo; urgency=medium

  * d/control: Add python-retrying to runtime dependencies.

 -- James Page <james.page@ubuntu.com>  Mon, 23 Nov 2015 09:56:59 +0000

python-oslo.concurrency (1.8.2-0ubuntu0.15.04.1~cloud1) trusty-kilo; urgency=medium

  * d/rules: Prevent dh_python2 from guessing dependencies.

 -- Corey Bryant <corey.bryant@canonical.com>  Fri, 20 Nov 2015 13:34:55 -0500

python-oslo.concurrency (1.8.2-0ubuntu0.15.04.1~cloud0) trusty-kilo; urgency=medium

  * New upstream release for the Ubuntu Cloud Archive.

 -- Openstack Ubuntu Testing Bot <openstack-testing-bot@ubuntu.com>  Fri, 20 Nov 2015 17:01:50 +0000

python-oslo.concurrency (1.8.2-0ubuntu0.15.04.1) vivid; urgency=medium

  * New upstream point release, resolving incompatibilies in latest
    Nova stable kilo update with 1.8.0 (LP: #1518016).

 -- James Page <james.page@ubuntu.com>  Fri, 20 Nov 2015 09:56:39 +0000

=== debian/control ===
Source: python-oslo.concurrency
Section: python
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
Uploaders: Thomas Goirand <zigo@debian.org>,
Build-Depends: debhelper (>= 9),
               openstack-pkg-tools,
               python-all (>= 2.6.6-3~),
               python-pbr (>= 0.6),
               python-setuptools,
               python-sphinx,
               python3-all,
               python3-pbr (>= 0.6),
               python3-setuptools,
Build-Depends-Indep: python-babel (>= 1.3),
                     python-concurrent.futures,
                     python-coverage (>= 3.6),
                     python-eventlet (>= 0.16.1),
                     python-fixtures (>= 0.3.14),
                     python-iso8601 (>= 0.1.9),
                     python-oslo-config (>= 1:1.9.0),
                     python-oslo-i18n (>= 1.3.0),
                     python-oslo-utils (>= 1.2.0),
                     python-oslosphinx (>= 2.2.0.0),
                     python-oslotest (>= 1.2.0),
                     python-posix-ipc,
                     python-retrying,
                     python-six (>= 1.7.0),
                     python3-babel (>= 1.3),
                     python3-coverage (>= 3.6),
                     python3-fixtures (>= 0.3.14),
                     python3-iso8601 (>= 0.1.9),
                     python3-oslo-config (>= 1:1.9.0),
                     python3-oslo-i18n (>= 1.3.0),
                     python3-oslo-utils (>= 1.2.0),
                     python3-oslotest,
                     python3-posix-ipc,
                     python3-six (>= 1.7.0),
Build-Conflicts: python-oslo.concurrency,
Standards-Version: 3.9.6
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=openstack/python-oslo.concurrency.git
Vcs-Git: git://anonscm.debian.org/openstack/python-oslo.concurrency.git
Homepage: https://github.com/openstack/oslo.concurrency

Package: python-oslo-concurrency
Architecture: all
Breaks: python-oslo.concurrency (<< 1.4.1-0ubuntu1~),
Replaces: python-oslo.concurrency (<< 1.4.1-0ubuntu1~),
Depends: python-babel (>= 1.3),
         python-fixtures (>= 0.3.14),
         python-iso8601 (>= 0.1.9),
         python-oslo-config (>= 1:1.9.0),
         python-oslo-i18n (>= 1.3.0),
         python-oslo-utils (>= 1.2.0),
         python-pbr (>= 0.6),
         python-posix-ipc,
         python-retrying,
         python-six (>= 1.7.0),
         ${misc:Depends},
         ${python:Depends},
Suggests: python-oslo.concurrency-doc,
Description: concurrency and locks for OpenStack projects - Python 2.x
 The oslo.concurrency library provides solutions for managing concurrency and
 locks within OpenStack projects.
 .
 This package contains the Python 2.x module.

Package: python3-oslo-concurrency
Breaks: python3-oslo.concurrency (<< 1.4.1-0ubuntu1~),
Replaces: python3-oslo.concurrency (<< 1.4.1-0ubuntu1~),
Architecture: all
Depends: python3-babel (>= 1.3),
         python3-fixtures (>= 0.3.14),
         python3-iso8601 (>= 0.1.9),
         python3-oslo-config (>= 1:1.9.0),
         python3-oslo-i18n (>= 1.3.0),
         python3-oslo-utils (>= 1.2.0),
         python3-pbr (>= 0.6),
         python3-posix-ipc,
         python3-six (>= 1.7.0),
         ${misc:Depends},
         ${python3:Depends},
Suggests: python-oslo.concurrency-doc,
Description: oslo.concurrency library - Python 3.x
 The oslo.concurrency library provides solutions for managing concurrency and
 locks within OpenStack projects.
 .
 This package contains the Python 3.x module.

Package: python-oslo-concurrency-doc
Section: doc
Architecture: all
Breaks: python-oslo.concurrency-doc (<< 1.4.1-0ubuntu1~),
Replaces: python-oslo.concurrency-doc (<< 1.4.1-0ubuntu1~),
Depends: ${misc:Depends},
         ${sphinxdoc:Depends},
Description: oslo.concurrency library - doc
 The oslo.concurrency library provides solutions for managing concurrency and
 locks within OpenStack projects.
 .
 This package contains the documentation.

Package: python-oslo.concurrency
Section: oldlibs
Architecture: all
Depends: python-oslo-concurrency,
         ${misc:Depends},
Description: transitional dummy package for python-oslo.concurrency
 This transtional package is safe to remove.

Package: python-oslo.concurrency-doc
Section: oldlibs
Architecture: all
Depends: python-oslo-concurrency-doc,
         ${misc:Depends},
Description: transitional dummy package for python3-oslo.concurrency
 This transtional package is safe to remove.

Package: python3-oslo.concurrency
Section: oldlibs
Architecture: all
Depends: python3-oslo-concurrency,
         ${misc:Depends},
Description: transitional dummy package for python3-oslo.concurrency
 This transtional package is safe to remove.

=== debian/rules ===
--- 
+++ 
@@ -10,6 +10,9 @@
 
 %:
 	dh $@ --buildsystem=python_distutils --with python2,python3,sphinxdoc
+
+override_dh_python2:
+	dh_python2 --no-guessing-deps
 
 override_dh_install:
 	set -e ; for pyvers in $(PYTHONS); do \

=== debian/watch ===
version=3
http://tarballs.openstack.org/oslo.concurrency/oslo.concurrency-(\d.*).tar.gz

## python-oslo.concurrency 2.6.0

=== requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.

pbr<2.0,>=1.6
Babel>=1.3
iso8601>=0.1.9
oslo.config>=2.3.0 # Apache-2.0
oslo.i18n>=1.5.0 # Apache-2.0
oslo.utils>=2.0.0 # Apache-2.0
six>=1.9.0
fasteners>=0.7 # Apache-2.0
retrying!=1.3.0,>=1.2.3 # Apache-2.0

=== debian/changelog ===
python-oslo.concurrency (2.6.0-1) experimental; urgency=medium

  * New upstream release.
  * Fixed (build-)depends for this release.
  * Don't test with Python 3.5 for now (only 3.4) as there's unit test
    failures.

 -- Thomas Goirand <zigo@debian.org>  Sun, 27 Sep 2015 17:12:06 +0200

python-oslo.concurrency (2.3.0-1) experimental; urgency=medium

  [ James Page ]
  * Fixup typo in transitional package description (LP: #1471561).

  [ Thomas Goirand ]
  * New upstream release.
  * Fixed build-depends for this release.
  * Stop the manual copy of now inexistant folder.
  * Added Priority: extra to transition packages.

 -- Thomas Goirand <zigo@debian.org>  Wed, 29 Jul 2015 23:57:32 +0000

python-oslo.concurrency (2.0.0-1) experimental; urgency=medium

  * Team upload.
  * New upstream release. 
  * Update watch file to use Debian pypi redirector.

 -- James Page <james.page@ubuntu.com>  Wed, 10 Jun 2015 17:48:56 +0100

python-oslo.concurrency (1.10.0-1) experimental; urgency=medium

  * Team upload.
  * New upstream release:
    - d/control: Align version requirements with upstream.
  * Re-align with Ubuntu:
    - d/control: Add Breaks/Replaces and transitional packages for
      *oslo-concurrency packages in Ubuntu.

 -- James Page <james.page@ubuntu.com>  Tue, 09 Jun 2015 08:49:55 +0100

python-oslo.concurrency (1.8.0-1) unstable; urgency=medium

  * New upstream release.
  * Added python-retrying as (build-)depends.
  * Copy the openstack-common stuff manually, as it's not there.

 -- Thomas Goirand <zigo@debian.org>  Tue, 23 Dec 2014 10:44:01 +0800

python-oslo.concurrency (0.2.0-1) unstable; urgency=medium

  * Initial release. (Closes: #769287)

 -- Thomas Goirand <zigo@debian.org>  Wed, 12 Nov 2014 20:49:34 +0800

=== debian/control ===
Source: python-oslo.concurrency
Section: python
Priority: optional
Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
Uploaders: Thomas Goirand <zigo@debian.org>,
Build-Depends: debhelper (>= 9),
               dh-python,
               openstack-pkg-tools,
               python-all,
               python-pbr (>= 1.8),
               python-setuptools,
               python-sphinx,
               python3-all,
               python3-pbr (>= 1.8),
               python3-setuptools,
Build-Depends-Indep: python-babel,
                     python-concurrent.futures,
                     python-coverage,
                     python-eventlet (>= 0.17.4),
                     python-fasteners,
                     python-fixtures (>= 1.3.1),
                     python-greenlet,
                     python-hacking,
                     python-iso8601,
                     python-oslo.config (>= 1:2.3.0),
                     python-oslo.i18n (>= 1.5.0),
                     python-oslo.utils (>= 1.6.0),
                     python-oslosphinx (>= 2.5.0),
                     python-oslotest (>= 1.5.1),
                     python-posix-ipc,
                     python-retrying,
                     python-six (>= 1.9.0),
                     python3-babel,
                     python3-eventlet (>= 0.17.4),
                     python3-fasteners,
                     python3-fixtures (>= 1.3.1),
                     python3-greenlet,
                     python3-iso8601,
                     python3-oslo.config (>= 1:2.3.0),
                     python3-oslo.i18n (>= 1.5.0),
                     python3-oslo.utils (>= 1.6.0),
                     python3-oslotest (>= 1.5.1),
                     python3-posix-ipc,
                     python3-retrying,
                     python3-six (>= 1.9.0),
                     subunit,
                     testrepository,
Standards-Version: 3.9.6
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=openstack/python-oslo.concurrency.git
Vcs-Git: git://anonscm.debian.org/openstack/python-oslo.concurrency.git
Homepage: https://github.com/openstack/oslo.concurrency

Package: python-oslo.concurrency
Architecture: all
Depends: python-babel,
         python-concurrent.futures,
         python-fixtures,
         python-iso8601,
         python-oslo.config (>= 1:2.3.0),
         python-oslo.i18n (>= 1.5.0),
         python-oslo.utils (>= 1.4.0),
         python-pbr (>= 1.8),
         python-posix-ipc,
         python-retrying,
         python-six (>= 1.9.0),
         ${misc:Depends},
         ${python:Depends},
Suggests: python-oslo.concurrency-doc,
Breaks: python-oslo-concurrency (<< 1.10.0-1~),
Replaces: python-oslo-concurrency (<< 1.10.0-1~),
Description: concurrency and locks for OpenStack projects - Python 2.x
 The oslo.concurrency library provides solutions for managing concurrency and
 locks within OpenStack projects.
 .
 This package contains the Python 2.x module.

Package: python3-oslo.concurrency
Architecture: all
Depends: python3-babel,
         python3-eventlet (>= 0.16.1),
         python3-fixtures,
         python3-iso8601,
         python3-oslo.config (>= 1:2.3.0),
         python3-oslo.i18n (>= 1.5.0),
         python3-oslo.utils (>= 1.4.0),
         python3-pbr (>= 1.8),
         python3-posix-ipc,
         python3-retrying,
         python3-six (>= 1.9.0),
         ${misc:Depends},
         ${python3:Depends},
Suggests: python-oslo.concurrency-doc,
Breaks: python3-oslo-concurrency (<< 1.10.0-1~),
Replaces: python3-oslo-concurrency (<< 1.10.0-1~),
Description: oslo.concurrency library - Python 3.x
 The oslo.concurrency library provides solutions for managing concurrency and
 locks within OpenStack projects.
 .
 This package contains the Python 3.x module.

Package: python-oslo.concurrency-doc
Section: doc
Architecture: all
Depends: ${misc:Depends},
         ${sphinxdoc:Depends},
Description: oslo.concurrency library - doc
 The oslo.concurrency library provides solutions for managing concurrency and
 locks within OpenStack projects.
 .
 This package contains the documentation.

Package: python-oslo-concurrency
Section: oldlibs
Priority: extra
Architecture: all
Depends: python-oslo.concurrency,
         ${misc:Depends},
Description: transitional dummy package for python-oslo-concurrency
 This transitional package is safe to remove and use python-oslo.concurrency
 instead.

Package: python-oslo-concurrency-doc
Section: oldlibs
Priority: extra
Architecture: all
Depends: python-oslo.concurrency-doc,
         ${misc:Depends},
Description: transitional dummy package for python-oslo-concurrency-doc
 This transitional package is safe to remove and use
 python-oslo.concurrency-doc instead.

Package: python3-oslo-concurrency
Section: oldlibs
Priority: extra
Architecture: all
Depends: python3-oslo.concurrency,
         ${misc:Depends},
Description: transitional dummy package for python3-oslo-concurrency
 This transitional package is safe to remove and use python3-oslo.concurrency
 instead.

=== debian/rules ===
#!/usr/bin/make -f

PYTHONS:=$(shell pyversions -vr)
PYTHON3S:=$(shell py3versions -vr)

UPSTREAM_GIT = git://github.com/openstack/oslo.concurrency.git
include /usr/share/openstack-pkg-tools/pkgos.make

export OSLO_PACKAGE_VERSION=$(VERSION)

%:
	dh $@ --buildsystem=python_distutils --with python2,python3,sphinxdoc

override_dh_install:
	set -e ; for pyvers in $(PYTHONS); do \
		python$$pyvers setup.py install --install-layout=deb \
			--root $(CURDIR)/debian/python-oslo.concurrency; \
	done
	set -e ; for pyvers in $(PYTHON3S); do \
		python$$pyvers setup.py install --install-layout=deb \
			--root $(CURDIR)/debian/python3-oslo.concurrency; \
	done
	mv $(CURDIR)/debian/python-oslo.concurrency/usr/bin/lockutils-wrapper $(CURDIR)/debian/python-oslo.concurrency/usr/bin/python2-lockutils-wrapper
	mv $(CURDIR)/debian/python3-oslo.concurrency/usr/bin/lockutils-wrapper $(CURDIR)/debian/python3-oslo.concurrency/usr/bin/python3-lockutils-wrapper
	rm -rf $(CURDIR)/debian/python*-oslo.concurrency/usr/lib/python*/dist-packages/*.pth

override_dh_auto_test:
ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
	echo "===> Running tests: WARNING: Not running Python3 tests because of namespaces!"
	set -e ; for i in $(PYTHONS) 3.4 ; do \
		PYMAJOR=`echo $$i | cut -d'.' -f1` ; \
		echo "===> Testing with python$$i (python$$PYMAJOR)" ; \
		rm -rf .testrepository ; \
		testr-python$$PYMAJOR init ; \
		TEMP_REZ=`mktemp -t` ; \
		PYTHONPATH=$(CURDIR) PYTHON=python$$i testr-python$$PYMAJOR run --subunit | tee $$TEMP_REZ | subunit2pyunit ; \
		cat $$TEMP_REZ | subunit-filter -s --no-passthrough | subunit-stats ; \
		rm -f $$TEMP_REZ ; \
		testr-python$$PYMAJOR slowest ; \
	done
endif

override_dh_clean:
	dh_clean -O--buildsystem=python_distutils
	rm -rf build

override_dh_sphinxdoc:
	sphinx-build -b html doc/source debian/python-oslo.concurrency-doc/usr/share/doc/python-oslo.concurrency-doc/html
	dh_sphinxdoc -O--buildsystem=python_distutils

# Commands not to run
override_dh_installcatalogs:
override_dh_installemacsen override_dh_installifupdown:
override_dh_installinfo override_dh_installmenu override_dh_installmime:
override_dh_installmodules override_dh_installlogcheck:
override_dh_installpam override_dh_installppp override_dh_installudev override_dh_installwm:
override_dh_installxfonts override_dh_gconf override_dh_icons override_dh_perl override_dh_usrlocal:
override_dh_installcron override_dh_installdebconf:
override_dh_installlogrotate override_dh_installgsettings:

## python-oslo.concurrency 2.6.1

=== requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.

pbr>=1.6
Babel!=2.3.0,!=2.3.1,!=2.3.2,!=2.3.3,>=1.3 # BSD
iso8601>=0.1.9
oslo.config>=2.3.0 # Apache-2.0
oslo.i18n>=1.5.0 # Apache-2.0
oslo.utils!=2.6.0,>=2.0.0 # Apache-2.0
six>=1.9.0
fasteners>=0.7 # Apache-2.0
retrying!=1.3.0,>=1.2.3 # Apache-2.0

=== debian/changelog ===
python-oslo.concurrency (2.6.1-0ubuntu1~cloud0) trusty-liberty; urgency=medium

  * New upstream release for the Ubuntu Cloud Archive.

 -- Openstack Ubuntu Testing Bot <openstack-testing-bot@ubuntu.com>  Wed, 13 Jul 2016 15:58:38 +0000

python-oslo.concurrency (2.6.1-0ubuntu1) wily; urgency=medium

  * New upstream release (LP: #1449062).
  * d/p/fix-tests-i386.patch: Fix tests that fail on i386 builds.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 06 Jul 2016 11:08:13 -0400

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: python-oslo.concurrency
 Section: python
 Priority: optional
-Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
 Uploaders: Thomas Goirand <zigo@debian.org>,
 Build-Depends: debhelper (>= 9),
                dh-python,

## python-oslo.concurrency 3.7.0

=== requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.

pbr>=1.6 # Apache-2.0
Babel>=1.3 # BSD
enum34;python_version=='2.7' or python_version=='2.6' or python_version=='3.3' # BSD
iso8601>=0.1.9 # MIT
oslo.config>=3.7.0 # Apache-2.0
oslo.i18n>=2.1.0 # Apache-2.0
oslo.utils>=3.5.0 # Apache-2.0
six>=1.9.0 # MIT
fasteners>=0.7 # Apache-2.0
retrying!=1.3.0,>=1.2.3 # Apache-2.0

=== debian/changelog ===
python-oslo.concurrency (3.7.0-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Mon, 04 Apr 2016 08:42:17 +0000

python-oslo.concurrency (3.7.0-1) experimental; urgency=medium

  [ Corey Bryant ]
  * d/p/fix-tests-i386.patch: Fix tests that fail on i386 builds.

  [ Thomas Goirand ]
  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Sat, 02 Apr 2016 14:17:31 +0200

python-oslo.concurrency (3.6.0-1) experimental; urgency=medium

  [ Ondřej Nový ]
  * Fixed VCS URLs (https).

  [ Corey Bryant ]
  * New upstream release.
  * d/control: Align (Build-)Depends with upstream.
  * d/p/lock-path-tempfile.patch: Cherry picked from upstream to set default
    of lock_file to a tempfile if OSLO_LOCK_PATH isn't set (LP: #1550188).

  [ Thomas Goirand ]
  * Fixed debian/copyright ordering.
  * Standards-Version: 3.9.7 (no change).

 -- Thomas Goirand <zigo@debian.org>  Wed, 02 Mar 2016 10:45:58 +0000

python-oslo.concurrency (3.3.0-1) experimental; urgency=medium

  * New upstream release.
  * Fixed (build-)depends for this release.

 -- Thomas Goirand <zigo@debian.org>  Fri, 15 Jan 2016 03:27:02 +0000

python-oslo.concurrency (3.2.0-1) experimental; urgency=medium

  * New upstream release.
  * Also run tests in Python 3.5.
  * Removed all patches.

 -- Thomas Goirand <zigo@debian.org>  Wed, 13 Jan 2016 01:36:33 +0000

python-oslo.concurrency (3.0.0-1) experimental; urgency=medium

  * New upstream release.
  * Fixed (build-)depends for this release.

 -- Thomas Goirand <zigo@debian.org>  Tue, 01 Dec 2015 10:53:33 +0100

python-oslo.concurrency (2.6.0-3) unstable; urgency=medium

  * override_dh_python3 to fix Py3 shebang.

 -- Thomas Goirand <zigo@debian.org>  Fri, 23 Oct 2015 23:22:37 +0000

python-oslo.concurrency (2.6.0-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Thu, 15 Oct 2015 19:22:21 +0000

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: python-oslo.concurrency
 Section: python
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
+Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
 Uploaders: Thomas Goirand <zigo@debian.org>,
 Build-Depends: debhelper (>= 9),
                dh-python,
@@ -17,49 +16,51 @@
 Build-Depends-Indep: python-babel,
                      python-concurrent.futures,
                      python-coverage,
-                     python-eventlet (>= 0.17.4),
+                     python-eventlet (>= 0.18.2),
+                     python-enum34,
                      python-fasteners,
                      python-fixtures (>= 1.3.1),
                      python-greenlet,
                      python-hacking,
                      python-iso8601,
-                     python-oslo.config (>= 1:2.3.0),
-                     python-oslo.i18n (>= 1.5.0),
-                     python-oslo.utils (>= 1.6.0),
+                     python-oslo.config (>= 1:3.7.0),
+                     python-oslo.i18n (>= 2.1.0),
+                     python-oslo.utils (>= 3.5.0),
                      python-oslosphinx (>= 2.5.0),
                      python-oslotest (>= 1.5.1),
                      python-posix-ipc,
                      python-retrying,
                      python-six (>= 1.9.0),
                      python3-babel,
-                     python3-eventlet (>= 0.17.4),
+                     python3-eventlet (>= 0.18.2),
                      python3-fasteners,
                      python3-fixtures (>= 1.3.1),
                      python3-greenlet,
                      python3-iso8601,
-                     python3-oslo.config (>= 1:2.3.0),
-                     python3-oslo.i18n (>= 1.5.0),
-                     python3-oslo.utils (>= 1.6.0),
+                     python3-oslo.config (>= 1:3.7.0),
+                     python3-oslo.i18n (>= 2.1.0),
+                     python3-oslo.utils (>= 3.5.0),
                      python3-oslotest (>= 1.5.1),
                      python3-posix-ipc,
                      python3-retrying,
                      python3-six (>= 1.9.0),
                      subunit,
                      testrepository,
-Standards-Version: 3.9.6
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=openstack/python-oslo.concurrency.git
-Vcs-Git: git://anonscm.debian.org/openstack/python-oslo.concurrency.git
+Standards-Version: 3.9.7
+Vcs-Browser: https://anonscm.debian.org/cgit/openstack/python-oslo.concurrency.git/
+Vcs-Git: https://anonscm.debian.org/git/openstack/python-oslo.concurrency.git
 Homepage: https://github.com/openstack/oslo.concurrency
 
 Package: python-oslo.concurrency
 Architecture: all
 Depends: python-babel,
          python-concurrent.futures,
+         python-enum34,
          python-fixtures,
          python-iso8601,
-         python-oslo.config (>= 1:2.3.0),
-         python-oslo.i18n (>= 1.5.0),
-         python-oslo.utils (>= 1.4.0),
+         python-oslo.config (>= 1:3.7.0),
+         python-oslo.i18n (>= 2.1.0),
+         python-oslo.utils (>= 3.5.0),
          python-pbr (>= 1.8),
          python-posix-ipc,
          python-retrying,
@@ -78,12 +79,12 @@
 Package: python3-oslo.concurrency
 Architecture: all
 Depends: python3-babel,
-         python3-eventlet (>= 0.16.1),
+         python3-eventlet (>= 0.18.2),
          python3-fixtures,
          python3-iso8601,
-         python3-oslo.config (>= 1:2.3.0),
-         python3-oslo.i18n (>= 1.5.0),
-         python3-oslo.utils (>= 1.4.0),
+         python3-oslo.config (>= 1:3.7.0),
+         python3-oslo.i18n (>= 2.1.0),
+         python3-oslo.utils (>= 3.5.0),
          python3-pbr (>= 1.8),
          python3-posix-ipc,
          python3-retrying,

=== debian/rules ===
--- 
+++ 
@@ -24,10 +24,13 @@
 	mv $(CURDIR)/debian/python3-oslo.concurrency/usr/bin/lockutils-wrapper $(CURDIR)/debian/python3-oslo.concurrency/usr/bin/python3-lockutils-wrapper
 	rm -rf $(CURDIR)/debian/python*-oslo.concurrency/usr/lib/python*/dist-packages/*.pth
 
+override_dh_python3:
+	dh_python3 --shebang=/usr/bin/python3
+
 override_dh_auto_test:
 ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
 	echo "===> Running tests: WARNING: Not running Python3 tests because of namespaces!"
-	set -e ; for i in $(PYTHONS) 3.4 ; do \
+	set -e ; for i in $(PYTHONS) $(PYTHON3S) ; do \
 		PYMAJOR=`echo $$i | cut -d'.' -f1` ; \
 		echo "===> Testing with python$$i (python$$PYMAJOR)" ; \
 		rm -rf .testrepository ; \

## python-oslo.concurrency 3.7.1

=== requirements.txt ===
--- 
+++ 
@@ -3,7 +3,7 @@
 # process, which may cause wedges in the gate later.
 
 pbr>=1.6 # Apache-2.0
-Babel>=1.3 # BSD
+Babel!=2.3.0,!=2.3.1,!=2.3.2,!=2.3.3,>=1.3 # BSD
 enum34;python_version=='2.7' or python_version=='2.6' or python_version=='3.3' # BSD
 iso8601>=0.1.9 # MIT
 oslo.config>=3.7.0 # Apache-2.0

=== debian/changelog ===
python-oslo.concurrency (3.7.1-1~bpo8+1) jessie-backports; urgency=medium

  * Rebuild for jessie-backports.

 -- Thomas Goirand <zigo@debian.org>  Wed, 29 Jun 2016 10:22:27 +0000

python-oslo.concurrency (3.7.1-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * Standards-Version is 3.9.8 now (no change)
  * d/rules: Changed UPSTREAM_GIT protocol to https

  [ Thomas Goirand ]
  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Tue, 21 Jun 2016 11:07:44 +0200

=== debian/control ===
--- 
+++ 
@@ -46,7 +46,7 @@
                      python3-six (>= 1.9.0),
                      subunit,
                      testrepository,
-Standards-Version: 3.9.7
+Standards-Version: 3.9.8
 Vcs-Browser: https://anonscm.debian.org/cgit/openstack/python-oslo.concurrency.git/
 Vcs-Git: https://anonscm.debian.org/git/openstack/python-oslo.concurrency.git
 Homepage: https://github.com/openstack/oslo.concurrency

=== debian/rules ===
--- 
+++ 
@@ -3,7 +3,7 @@
 PYTHONS:=$(shell pyversions -vr)
 PYTHON3S:=$(shell py3versions -vr)
 
-UPSTREAM_GIT = git://github.com/openstack/oslo.concurrency.git
+UPSTREAM_GIT := https://github.com/openstack/oslo.concurrency.git
 include /usr/share/openstack-pkg-tools/pkgos.make
 
 export OSLO_PACKAGE_VERSION=$(VERSION)

## python-oslo.concurrency 3.11.0

=== requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.

pbr>=1.6 # Apache-2.0
enum34;python_version=='2.7' or python_version=='2.6' or python_version=='3.3' # BSD
iso8601>=0.1.11 # MIT
oslo.config>=3.10.0 # Apache-2.0
oslo.i18n>=2.1.0 # Apache-2.0
oslo.utils>=3.11.0 # Apache-2.0
six>=1.9.0 # MIT
fasteners>=0.7 # Apache-2.0
retrying!=1.3.0,>=1.2.3 # Apache-2.0

=== debian/changelog ===
python-oslo.concurrency (3.11.0-2+1~bpo8+1) UNRELEASED; urgency=medium

  [ Ondřej Nový ]
  * d/s/options: extend-diff-ignore of .gitreview
  * d/control: Using OpenStack's Gerrit as VCS URLs.

  [ Jenkins ]
  * Backport rebuilt by Jenkins in OpenStack infra.

 -- Jenkins <jenkins@openstack.org>  Mon, 26 Sep 2016 20:34:45 +0000

python-oslo.concurrency (3.11.0-1) experimental; urgency=medium

  [ David Della Vecchia ]
  * New upstream release.
  * d/control: Align (build-)depends with upstream.

  [ Thomas Goirand ]
  * Switch to openstack-pkg-tools pkgos-dh_auto_{test,install}.
  * Drop python-oslo- binary packages (not needed for Ubuntu anymore).

 -- Thomas Goirand <zigo@debian.org>  Fri, 01 Jul 2016 13:51:01 +0000

python-oslo.concurrency (3.9.0-1) experimental; urgency=medium

  [ Ondřej Nový ]
  * Standards-Version is 3.9.8 now (no change)
  * d/rules: Changed UPSTREAM_GIT protocol to https

  [ James Page ]
  * New upstream release.
  * d/control: Align (Build-)Depends with upstream

  [ Corey Bryant ]
  * New upstream release.

  [ Thomas Goirand ]
  * Added Corey Bryant as Uploaders.

 -- Thomas Goirand <zigo@debian.org>  Fri, 03 Jun 2016 12:48:36 +0000

=== debian/control ===
Source: python-oslo.concurrency
Section: python
Priority: optional
Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
Uploaders: Thomas Goirand <zigo@debian.org>,
 Corey Bryant <corey.bryant@canonical.com>,
Build-Depends: debhelper (>= 9),
               dh-python,
               openstack-pkg-tools (>= 52~),
               python-all,
               python-pbr (>= 1.8),
               python-setuptools,
               python-sphinx,
               python3-all,
               python3-pbr (>= 1.8),
               python3-setuptools,
Build-Depends-Indep: python-concurrent.futures,
                     python-coverage,
                     python-eventlet (>= 0.18.2),
                     python-enum34,
                     python-fasteners,
                     python-fixtures (>= 3.0.0),
                     python-greenlet,
                     python-hacking,
                     python-iso8601,
                     python-oslo.config (>= 1:3.10.0),
                     python-oslo.i18n (>= 2.1.0),
                     python-oslo.utils (>= 3.11.0),
                     python-oslosphinx (>= 2.5.0),
                     python-oslotest (>= 1.5.1),
                     python-posix-ipc,
                     python-retrying,
                     python-six (>= 1.9.0),
                     python3-eventlet (>= 0.18.2),
                     python3-fasteners,
                     python3-fixtures (>= 3.0.0),
                     python3-greenlet,
                     python3-iso8601,
                     python3-oslo.config (>= 1:3.10.0),
                     python3-oslo.i18n (>= 2.1.0),
                     python3-oslo.utils (>= 3.11.0),
                     python3-oslotest (>= 1.5.1),
                     python3-posix-ipc,
                     python3-retrying,
                     python3-six (>= 1.9.0),
                     subunit,
                     testrepository,
Standards-Version: 3.9.8
Vcs-Browser: https://git.openstack.org/cgit/openstack/deb-oslo.concurrency?h=debian%2Fnewton
Vcs-Git: https://git.openstack.org/openstack/deb-oslo.concurrency -b debian/newton
Homepage: https://github.com/openstack/oslo.concurrency

Package: python-oslo.concurrency
Architecture: all
Depends: python-concurrent.futures,
         python-enum34,
         python-fixtures,
         python-iso8601,
         python-oslo.config (>= 1:3.10.0),
         python-oslo.i18n (>= 2.1.0),
         python-oslo.utils (>= 3.11.0),
         python-pbr (>= 1.8),
         python-posix-ipc,
         python-retrying,
         python-six (>= 1.9.0),
         ${misc:Depends},
         ${python:Depends},
Suggests: python-oslo.concurrency-doc,
Breaks: python-oslo-concurrency (<< 1.10.0-1~),
Replaces: python-oslo-concurrency (<< 1.10.0-1~),
Description: concurrency and locks for OpenStack projects - Python 2.x
 The oslo.concurrency library provides solutions for managing concurrency and
 locks within OpenStack projects.
 .
 This package contains the Python 2.x module.

Package: python3-oslo.concurrency
Architecture: all
Depends: python3-eventlet (>= 0.18.2),
         python3-fixtures,
         python3-iso8601,
         python3-oslo.config (>= 1:3.10.0),
         python3-oslo.i18n (>= 2.1.0),
         python3-oslo.utils (>= 3.11.0),
         python3-pbr (>= 1.8),
         python3-posix-ipc,
         python3-retrying,
         python3-six (>= 1.9.0),
         ${misc:Depends},
         ${python3:Depends},
Suggests: python-oslo.concurrency-doc,
Breaks: python3-oslo-concurrency (<< 1.10.0-1~),
Replaces: python3-oslo-concurrency (<< 1.10.0-1~),
Description: oslo.concurrency library - Python 3.x
 The oslo.concurrency library provides solutions for managing concurrency and
 locks within OpenStack projects.
 .
 This package contains the Python 3.x module.

Package: python-oslo.concurrency-doc
Section: doc
Architecture: all
Depends: ${misc:Depends},
         ${sphinxdoc:Depends},
Description: oslo.concurrency library - doc
 The oslo.concurrency library provides solutions for managing concurrency and
 locks within OpenStack projects.
 .
 This package contains the documentation.

## python-oslo.concurrency 3.14.0

=== requirements.txt ===
--- 
+++ 
@@ -5,9 +5,9 @@
 pbr>=1.6 # Apache-2.0
 enum34;python_version=='2.7' or python_version=='2.6' or python_version=='3.3' # BSD
 iso8601>=0.1.11 # MIT
-oslo.config>=3.10.0 # Apache-2.0
+oslo.config>=3.14.0 # Apache-2.0
 oslo.i18n>=2.1.0 # Apache-2.0
-oslo.utils>=3.11.0 # Apache-2.0
+oslo.utils>=3.16.0 # Apache-2.0
 six>=1.9.0 # MIT
 fasteners>=0.7 # Apache-2.0
 retrying!=1.3.0,>=1.2.3 # Apache-2.0

=== debian/changelog ===
python-oslo.concurrency (3.14.0-2+102~bpo8+1) UNRELEASED; urgency=medium

  * Backport rebuilt by Jenkins in OpenStack infra.

 -- Jenkins <jenkins@openstack.org>  Tue, 04 Oct 2016 12:51:23 +0000

python-oslo.concurrency (3.14.0-2) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/s/options: extend-diff-ignore of .gitreview
  * d/control: Using OpenStack's Gerrit as VCS URLs.

  [ Thomas Goirand ]
  * Uploading to unstable.
  * Fixed oslotest EPOCH.

 -- Ondřej Nový <onovy@debian.org>  Mon, 26 Sep 2016 19:12:42 +0200

python-oslo.concurrency (3.14.0-1) experimental; urgency=medium

  * New upstream release.
  * d/control: Align (build-)depends with upstream.
  * d/p/fix-tests-i386.patch: Rebased.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 25 Aug 2016 08:10:15 +0100

=== debian/control ===
--- 
+++ 
@@ -23,11 +23,11 @@
                      python-greenlet,
                      python-hacking,
                      python-iso8601,
-                     python-oslo.config (>= 1:3.10.0),
+                     python-oslo.config (>= 1:3.14.0),
                      python-oslo.i18n (>= 2.1.0),
-                     python-oslo.utils (>= 3.11.0),
+                     python-oslo.utils (>= 3.16.0),
                      python-oslosphinx (>= 2.5.0),
-                     python-oslotest (>= 1.5.1),
+                     python-oslotest (>= 1:1.5.1),
                      python-posix-ipc,
                      python-retrying,
                      python-six (>= 1.9.0),
@@ -36,18 +36,18 @@
                      python3-fixtures (>= 3.0.0),
                      python3-greenlet,
                      python3-iso8601,
-                     python3-oslo.config (>= 1:3.10.0),
+                     python3-oslo.config (>= 1:3.14.0),
                      python3-oslo.i18n (>= 2.1.0),
-                     python3-oslo.utils (>= 3.11.0),
-                     python3-oslotest (>= 1.5.1),
+                     python3-oslo.utils (>= 3.16.0),
+                     python3-oslotest (>= 1:1.5.1),
                      python3-posix-ipc,
                      python3-retrying,
                      python3-six (>= 1.9.0),
                      subunit,
                      testrepository,
 Standards-Version: 3.9.8
-Vcs-Browser: https://git.openstack.org/cgit/openstack/deb-oslo.concurrency?h=debian%2Fnewton
-Vcs-Git: https://git.openstack.org/openstack/deb-oslo.concurrency -b debian/newton
+Vcs-Browser: https://git.openstack.org/cgit/openstack/deb-python-oslo.concurrency?h=debian%2Fnewton
+Vcs-Git: https://git.openstack.org/openstack/deb-python-oslo.concurrency -b debian/newton
 Homepage: https://github.com/openstack/oslo.concurrency
 
 Package: python-oslo.concurrency
@@ -56,9 +56,9 @@
          python-enum34,
          python-fixtures,
          python-iso8601,
-         python-oslo.config (>= 1:3.10.0),
+         python-oslo.config (>= 1:3.14.0),
          python-oslo.i18n (>= 2.1.0),
-         python-oslo.utils (>= 3.11.0),
+         python-oslo.utils (>= 3.16.0),
          python-pbr (>= 1.8),
          python-posix-ipc,
          python-retrying,
@@ -79,9 +79,9 @@
 Depends: python3-eventlet (>= 0.18.2),
          python3-fixtures,
          python3-iso8601,
-         python3-oslo.config (>= 1:3.10.0),
+         python3-oslo.config (>= 1:3.14.0),
          python3-oslo.i18n (>= 2.1.0),
-         python3-oslo.utils (>= 3.11.0),
+         python3-oslo.utils (>= 3.16.0),
          python3-pbr (>= 1.8),
          python3-posix-ipc,
          python3-retrying,

=== debian/rules ===
#!/usr/bin/make -f

UPSTREAM_GIT := https://github.com/openstack/oslo.concurrency.git
include /usr/share/openstack-pkg-tools/pkgos.make

%:
	dh $@ --buildsystem=python_distutils --with python2,python3,sphinxdoc

override_dh_install:
	pkgos-dh_auto_install

override_dh_python3:
	dh_python3 --shebang=/usr/bin/python3

override_dh_auto_test:
ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
	pkgos-dh_auto_test
endif

override_dh_clean:
	dh_clean -O--buildsystem=python_distutils
	rm -rf build

override_dh_sphinxdoc:
	sphinx-build -b html doc/source debian/python-oslo.concurrency-doc/usr/share/doc/python-oslo.concurrency-doc/html
	dh_sphinxdoc -O--buildsystem=python_distutils

# Commands not to run
override_dh_installcatalogs:
override_dh_installemacsen override_dh_installifupdown:
override_dh_installinfo override_dh_installmenu override_dh_installmime:
override_dh_installmodules override_dh_installlogcheck:
override_dh_installpam override_dh_installppp override_dh_installudev override_dh_installwm:
override_dh_installxfonts override_dh_gconf override_dh_icons override_dh_perl override_dh_usrlocal:
override_dh_installcron override_dh_installdebconf:
override_dh_installlogrotate override_dh_installgsettings:

## python-oslo.concurrency 3.18.0

=== requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.

pbr>=1.8 # Apache-2.0
enum34;python_version=='2.7' or python_version=='2.6' or python_version=='3.3' # BSD
oslo.config!=3.18.0,>=3.14.0 # Apache-2.0
oslo.i18n>=2.1.0 # Apache-2.0
oslo.utils>=3.18.0 # Apache-2.0
six>=1.9.0 # MIT
fasteners>=0.7 # Apache-2.0

=== debian/changelog ===
python-oslo.concurrency (3.18.0-0ubuntu1) zesty; urgency=medium

  * New upstream release.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 19 Jan 2017 12:20:00 -0500

python-oslo.concurrency (3.17.0-0ubuntu1) zesty; urgency=medium

  * New upstream version.
  * debian/control: Add autopkgtest.

 -- Chuck Short <zulcss@ubuntu.com>  Fri, 13 Jan 2017 09:05:05 -0500

python-oslo.concurrency (3.16.0-0ubuntu1) zesty; urgency=medium

  * New upstream version.
  * d/control: Align (build-)depends with upstream.
  * d/control: Dropped python-retrying.

 -- Chuck Short <zulcss@ubuntu.com>  Mon, 05 Dec 2016 10:45:17 -0500

python-oslo.concurrency (3.15.0-1ubuntu1) zesty; urgency=medium

  [ Corey Bryant ]
  * d/gbp.conf: Update gbp configuration file.
  * d/control: Update Vcs-* links and maintainers.

  [ Chuck Short ]
  * New upstream version. 

 -- Chuck Short <zulcss@ubuntu.com>  Mon, 24 Oct 2016 14:58:45 -0400

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: python-oslo.concurrency
 Section: python
 Priority: optional
-Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
 Uploaders: Thomas Goirand <zigo@debian.org>,
  Corey Bryant <corey.bryant@canonical.com>,
 Build-Depends: debhelper (>= 9),
@@ -25,11 +26,10 @@
                      python-iso8601,
                      python-oslo.config (>= 1:3.14.0),
                      python-oslo.i18n (>= 2.1.0),
-                     python-oslo.utils (>= 3.16.0),
+                     python-oslo.utils (>= 3.18.0),
                      python-oslosphinx (>= 2.5.0),
-                     python-oslotest (>= 1:1.5.1),
+                     python-oslotest (>= 1.5.1),
                      python-posix-ipc,
-                     python-retrying,
                      python-six (>= 1.9.0),
                      python3-eventlet (>= 0.18.2),
                      python3-fasteners,
@@ -38,17 +38,17 @@
                      python3-iso8601,
                      python3-oslo.config (>= 1:3.14.0),
                      python3-oslo.i18n (>= 2.1.0),
-                     python3-oslo.utils (>= 3.16.0),
-                     python3-oslotest (>= 1:1.5.1),
+                     python3-oslo.utils (>= 3.18.0),
+                     python3-oslotest (>= 1.5.1),
                      python3-posix-ipc,
-                     python3-retrying,
                      python3-six (>= 1.9.0),
                      subunit,
                      testrepository,
 Standards-Version: 3.9.8
-Vcs-Browser: https://git.openstack.org/cgit/openstack/deb-python-oslo.concurrency?h=debian%2Fnewton
-Vcs-Git: https://git.openstack.org/openstack/deb-python-oslo.concurrency -b debian/newton
+Vcs-Browser: https://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/python-oslo.concurrency
+Vcs-Git: git://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/python-oslo.concurrency
 Homepage: https://github.com/openstack/oslo.concurrency
+Testsuite: autopkgtest-pkg-python
 
 Package: python-oslo.concurrency
 Architecture: all
@@ -58,10 +58,9 @@
          python-iso8601,
          python-oslo.config (>= 1:3.14.0),
          python-oslo.i18n (>= 2.1.0),
-         python-oslo.utils (>= 3.16.0),
+         python-oslo.utils (>= 3.18.0),
          python-pbr (>= 1.8),
          python-posix-ipc,
-         python-retrying,
          python-six (>= 1.9.0),
          ${misc:Depends},
          ${python:Depends},
@@ -81,10 +80,9 @@
          python3-iso8601,
          python3-oslo.config (>= 1:3.14.0),
          python3-oslo.i18n (>= 2.1.0),
-         python3-oslo.utils (>= 3.16.0),
+         python3-oslo.utils (>= 3.18.0),
          python3-pbr (>= 1.8),
          python3-posix-ipc,
-         python3-retrying,
          python3-six (>= 1.9.0),
          ${misc:Depends},
          ${python3:Depends},
